Package org.eclipse.graphiti.palette

## Interface IPaletteCompartmentEntry

All Superinterfaces:
  `IPaletteEntry`

All Known Implementing Classes:
  `PaletteCompartmentEntry`

    public interface IPaletteCompartmentEntry
    extends IPaletteEntry

The Interface IPaletteCompartmentEntry.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.util.List<IToolEntry>` `getToolEntries()` Gets the tool entries.
`boolean` `isInitiallyOpen()` provide the initial open state of the compartment.
`void` `setInitiallyOpen​(boolean initiallyOpen)` set the initial open state of the compartment.

### Methods inherited from interface org.eclipse.graphiti.palette.IPaletteEntry

`getIconId, getLabel`

### Method Detail

#### getToolEntries

    java.util.List<IToolEntry> getToolEntries()

Gets the tool entries.

Returns:
  the tool entries inside this compartment

#### setInitiallyOpen

    void setInitiallyOpen​(boolean initiallyOpen)

set the initial open state of the compartment.

Parameters:
  `initiallyOpen` - the initially open

#### isInitiallyOpen

    boolean isInitiallyOpen()

provide the initial open state of the compartment.

Returns:
  the open state